---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 2G
need_cpu: 2
kernel-selftests:
  group: user_events
kernel_cmdline: erst_disable
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-user_events-debian-12-x86_64-20220629.cgz-fecc001d587c-20240209-73033-vzh0y4-0.yaml"
id: ea9daacc127a734bfea6c033c683f32d7553be66
queuer_version: "/zday/lkp"

#! /db/releases/20240206233249/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240206233249/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240206233249/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240206233249/lkp-src/include/queue/cyclic
commit: fecc001d587ceeeb47043c20353f257e3f01b39f

#! /db/releases/20240206233249/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20240206233249/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- USER_EVENTS: y
rootfs: debian-12-x86_64-20220629.cgz
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-02-09 11:29:37.080651628 +08:00
_rt: "/result/kernel-selftests/user_events/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f"
compiler: gcc-12
head_commit: c546ef23d55d1db8a072e9730fcb4fb0b88adaa6
base_commit: 54be6c6c5ae8e0d93a6c4641cb7528eb0b6ba478
branch: linux-devel/devel-hourly-20240207-175910

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240208-233545"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20220629.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/user_events/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/vmlinuz-6.7.0-rc8-00001-gfecc001d587c
- branch=linux-devel/devel-hourly-20240207-175910
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-user_events-debian-12-x86_64-20220629.cgz-fecc001d587c-20240209-73033-vzh0y4-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=fecc001d587ceeeb47043c20353f257e3f01b39f
- erst_disable
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20220629.cgz/run-ipconfig_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/lkp_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/rsync-rootfs_20221125.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/kernel-selftests_20240202.cgz,/osimage/pkg/debian-12-x86_64-20220629.cgz/kernel-selftests-x86_64-60acb023-1_20230329.cgz,/osimage/deps/debian-12-x86_64-20220629.cgz/hw_20230326.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240208004511/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-user_events-debian-12-x86_64-20220629.cgz-fecc001d587c-20240209-73033-vzh0y4-0.cgz"
last_kernel: 6.8.0-rc3-113751-gffe86c6660a1
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/vmlinuz-6.7.0-rc8-00001-gfecc001d587c"
result_root: "/result/kernel-selftests/user_events/lkp-csl-d01/debian-12-x86_64-20220629.cgz/x86_64-rhel-8.3-kselftests/gcc-12/fecc001d587ceeeb47043c20353f257e3f01b39f/0"

#! /cephfs/db/releases/20240208234343/lkp-src/include/site/inn
dequeue_time: 2024-02-09 13:03:01.342970238 +08:00
job_state: finished
loadavg: 3.01 1.55 0.60 1/461 2400
start_time: '1707455132'
end_time: '1707455136'
version: "/lkp/lkp/.src-20240208-233646:1d7deef43652:2cb3d404e861"
